Bug 76130

Summary: getComputedStyle margin percentage test for CSS calc
Product: WebKit Reporter: Mike Lawther <mikelawther>
Component: New BugsAssignee: Mike Lawther <mikelawther>
Status: RESOLVED FIXED    
Severity: Normal CC: darin, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 16662    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Mike Lawther 2012-01-11 17:07:27 PST
getComputedStyle margin percentage test for CSS calc
Comment 1 Mike Lawther 2012-01-11 17:10:04 PST
Created attachment 122134 [details]
Patch
Comment 2 Mike Lawther 2012-01-11 22:16:16 PST
Created attachment 122170 [details]
Patch
Comment 3 Darin Adler 2012-01-13 14:40:03 PST
Comment on attachment 122134 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=122134&action=review

> LayoutTests/css3/calc/getComputedStyle-margin-percentage.html:36
> +        shouldEvaluateTo("window.getComputedStyle(document.getElementById('calc', null)).getPropertyValue('" + prop + "')", "window.getComputedStyle(document.getElementById('control', null)).getPropertyValue('" + prop + "')");

No need for the "window" prefixes here. What is the "null" second argument to getElementById for? I think you mean that to be a second argument for getComputedStyle.
Comment 4 Mike Lawther 2012-01-16 04:14:37 PST
Comment on attachment 122134 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=122134&action=review

>> LayoutTests/css3/calc/getComputedStyle-margin-percentage.html:36
>> +        shouldEvaluateTo("window.getComputedStyle(document.getElementById('calc', null)).getPropertyValue('" + prop + "')", "window.getComputedStyle(document.getElementById('control', null)).getPropertyValue('" + prop + "')");
> 
> No need for the "window" prefixes here. What is the "null" second argument to getElementById for? I think you mean that to be a second argument for getComputedStyle.

Thanks for the review Darin. You're right about the null - it was a mistake. I've fixed it, and removed the 'window' prefix as well.
Comment 5 Mike Lawther 2012-01-16 04:15:43 PST
Created attachment 122614 [details]
Patch
Comment 6 WebKit Review Bot 2012-01-23 15:32:55 PST
Comment on attachment 122614 [details]
Patch

Clearing flags on attachment: 122614

Committed r105647: <http://trac.webkit.org/changeset/105647>
Comment 7 WebKit Review Bot 2012-01-23 15:32:59 PST
All reviewed patches have been landed.  Closing bug.